MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# queue_item Struct Reference

One element of the queue: basically a song plus some queue specific information attached. More...

`#include <queue.h>`

## Data Fields
struct song * | song
unsigned | id
| the unique id of this item in the queue
uint32_t | version
| when was this item last changed?

## Detailed Description

One element of the queue: basically a song plus some queue specific information attached.

Definition at line 41 of file queue.h.

## Field Documentation

unsigned queue_item::id

the unique id of this item in the queue

Definition at line 45 of file queue.h.

struct song* queue_item::song

Definition at line 42 of file queue.h.

uint32_t queue_item::version

when was this item last changed?

Definition at line 48 of file queue.h.

The documentation for this struct was generated from the following file:

- src/queue.h